> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wrkout.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Query

> Query for exercises



## OpenAPI

````yaml get /exercise/query
openapi: 3.0.1
info:
  title: OpenAPI Wrkout
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.wrkout.xyz
security:
  - ApiKeyAuth: []
paths:
  /exercise/query:
    get:
      tags:
        - exercise
      description: Query for exercises
      parameters:
        - name: limit
          in: query
          description: The amount of results returned
          required: false
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 25
        - name: after
          in: query
          description: cursor for pagination
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: cursor for pagination
          required: false
          schema:
            type: string
        - name: lang
          in: query
          description: >-
            Translation language requested. Please see the list of supported
            languages. Defaults to en-GB
          required: false
          schema:
            type: string
        - name: searchlang
          in: query
          description: >-
            The language of the search query, so you can search in other
            languages, defaults to lang if not provided
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: The name of the exercise to search for
          required: false
          schema:
            type: string
        - name: alias
          in: query
          description: The alias of the exercise to search for
          required: false
          schema:
            type: string
        - name: primaryMuscle
          in: query
          description: The primary muscle targeted by the exercise
          required: false
          schema:
            $ref: '#/components/schemas/Muscle'
        - name: secondaryMuscle
          in: query
          description: The secondary muscle targeted by the exercise
          required: false
          schema:
            $ref: '#/components/schemas/Muscle'
        - name: category
          in: query
          description: The category of the exercise
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Category'
        - name: force
          in: query
          description: The force applied by the exercise
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Force'
        - name: level
          in: query
          description: The level of the exercise
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Level'
        - name: mechanic
          in: query
          description: The mechanic of the exercise
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Mechanic'
        - name: equipment
          in: query
          description: The equipment required for the exercise
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Equipment'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExerciseIds'
components:
  schemas:
    Muscle:
      type: array
      items:
        type: string
        enum:
          - ABDOMINALS
          - ADDUCTORS
          - BICEPS
          - CHEST
          - CALVES
          - LOWER_BACK
          - TRICEPS
          - FOREARMS
          - ABDUCTORS
          - HAMSTRINGS
          - QUADRICEPS
          - SHOULDERS
          - MIDDLE_BACK
          - GLUTES
          - LATS
          - TRAPS
          - NECK
    Category:
      type: string
      enum:
        - STRENGTH
        - STRETCHING
        - PLYOMETRICS
        - STRONGMAN
        - POWERLIFTING
        - CARDIO
        - OLYMPIC_WEIGHTLIFTING
    Force:
      type: string
      enum:
        - PULL
        - PUSH
        - STATIC
      nullable: true
    Level:
      type: string
      nullable: true
      enum:
        - BEGINNER
        - INTERMEDIATE
        - EXPERT
    Mechanic:
      type: string
      nullable: true
      enum:
        - COMPOUND
        - ISOLATION
    Equipment:
      type: string
      nullable: true
      enum:
        - BODY_ONLY
        - MACHINE
        - OTHER
        - FOAM_ROLL
        - KETTLEBELLS
        - DUMBBELL
        - BARBELL
        - CABLE
        - BANDS
        - MEDICINE_BALL
        - E_Z_CURL_BAR
        - EXERCISE_BALL
    ExerciseIds:
      type: object
      properties:
        exercises:
          type: array
          items:
            type: object
            properties:
              id:
                description: The ID of the exercise
                type: string
              name:
                description: The name of the exercise (always in English)
                type: string
              displayName:
                description: The display name of the exercise to present to the user
                type: string
              aliases:
                description: The alternative names of the exercise
                type: array
                items:
                  type: string
              premiumImages:
                description: >-
                  The premium images for the exercise. Only returned based on
                  subscription plan
                type: array
                items:
                  type: string
              premiumVideos:
                description: >-
                  The premium videos for the exercise. Only returned based on
                  subscription plan
                type: array
                items:
                  type: string
        pagination:
          type: object
          properties:
            total:
              description: The total count of records
              type: number
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````